Bug 476443 - Review Request: perl-Hardware-Vhdl-Parser - Complete grammar for parsing VHDL code using perl
Review Request: perl-Hardware-Vhdl-Parser - Complete grammar for parsing VHDL...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Brennan Ashton
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-14 14:09 EST by Chitlesh GOORAH
Modified: 2008-12-21 03:28 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-12-21 03:21:17 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
bashton: fedora‑review+
dennis: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Chitlesh GOORAH 2008-12-14 14:09:38 EST
Spec URL: http://chitlesh.fedorapeople.org/RPMS/perl-Hardware-Vhdl-Parser.spec
SRPM URL: http://chitlesh.fedorapeople.org/RPMS/perl-Hardware-Vhdl-Parser-0.12-1.fc10.src.rpm
Description:
This module defines the complete grammar needed to parse any VHDL code. By
overloading this grammar, it is possible to easily create perl scripts
which run through VHDL code and perform specific functions.
Comment 1 Brennan Ashton 2008-12-14 15:38:41 EST
[x]source files match upstream:
95aab98d316ce5289e80840301da7dea8f7fffc4931506afaf092aec1c063fe3  Hardware-Vhdl-Parser-0.12.tar.gz
[x]package meets naming and versioning guidelines.
[x]specfile is properly named, is cleanly written and uses macros consistently.
[x]dist tag is present.
[x]build root is correct.
[x]license field matches the actual license.
[x]license is open source-compatible.
[x]latest version is being packaged.
[x]BuildRequires are proper.
[x]compiler flags are appropriate.
[x]%clean is present.
[x]package builds in mock.

package installs properly.
NO, you need to add
find . -type f | xargs %{__perl} -pi -e 's|#! /bin/perl|#! /usr/bin/perl|'
to your spec file, the script are looking for perl in /bin/perl and it will not install because rpm want a package that provides /bin/perl.  When I added this to the spec file after %setup it is happy.

[x]rpmlint is silent.
2 packages and 1 specfiles checked; 0 errors, 0 warnings.

[x]%check is present and all tests pass:
Executing(%check): /bin/sh -e /var/tmp/rpm-tmp.nopDDm
+ umask 022
+ cd /home/makerpm/rpmbuild/BUILD
+ cd Hardware-Vhdl-Parser-0.12
+ unset DISPLAY
+ make test
PERL_DL_NONLAZY=1 /usr/bin/perl "-Iblib/lib" "-Iblib/arch" test.pl
1..2
ok 1
Test 2
OK

[x]no shared libraries are added to the regular linker search paths.
[x]no duplicates in %files.
[x]file permissions are appropriate.
[x]no scriptlets present.
[x]documentation is small, so no -docs subpackage is necessary.
[x]%docs are not necessary for the proper functioning of the package.

Once you have made that change I will approve the package. I made it locally and it passes tests on a vhd file I made.
Comment 3 Brennan Ashton 2008-12-14 15:49:08 EST
Ok it installs clean now I,
APPROVE.
Feel free to submit your CVS request.
Comment 4 Chitlesh GOORAH 2008-12-14 15:56:28 EST
New Package CVS Request
=======================
Package Name: perl-Hardware-Vhdl-Parser
Short Description: Complete grammar for parsing VHDL code using perl
Branches: F-9 F-10 EL-5
Comment 5 Chitlesh GOORAH 2008-12-14 15:57:09 EST
Owner: chitlesh
Comment 6 Dennis Gilmore 2008-12-15 15:11:14 EST
CVS Done
Comment 7 Fedora Update System 2008-12-15 17:35:35 EST
perl-Hardware-Vhdl-Parser-0.12-2.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/perl-Hardware-Vhdl-Parser-0.12-2.fc10
Comment 8 Fedora Update System 2008-12-15 17:35:37 EST
perl-Hardware-Vhdl-Parser-0.12-2.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/perl-Hardware-Vhdl-Parser-0.12-2.fc9
Comment 9 Fedora Update System 2008-12-21 03:21:14 EST
perl-Hardware-Vhdl-Parser-0.12-2.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2008-12-21 03:28:40 EST
perl-Hardware-Vhdl-Parser-0.12-2.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.